/// <reference types="react" />
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import * as nbformat from '@jupyterlab/nbformat';
import { Kernel } from "./../../jupyter/services/kernel/Kernel";
import { CellSidebarProps } from './cell/sidebar/base/CellSidebarWidget';
import './Notebook.css';
export declare type INotebookProps = {
    uid: string;
    path: string;
    model: nbformat.INotebookContent;
    kernel?: Kernel;
    readOnly: boolean;
    nbgrader: boolean;
    ipywidgets: 'classic' | 'lab';
    cellMetadataPanel: boolean;
    CellSidebar?: (props: CellSidebarProps) => JSX.Element;
    cellSidebarMargin: number;
    Toolbar?: (props: any) => JSX.Element;
    height?: string;
    maxHeight?: string;
    renderers: IRenderMime.IRendererFactory[];
};
/**
 * This component creates a Notebook as a collection of snippets
 * with sidebars.
 *
 * @param props The notebook properties.
 * @returns A Notebook React.js component.
 */
export declare const Notebook: {
    (props: INotebookProps): JSX.Element;
    defaultProps: Partial<INotebookProps>;
};
export default Notebook;
