import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import { useDispatch } from 'react-redux';
import { Box } from '@primer/react';
import { DLA_CELL_HEADER_CLASS } from './base/CellSidebarWidget';
import { notebookActions, selectActiveCell } from '../../NotebookState';
import PlayArrowIcon from '@mui/icons-material/PlayArrow';
import DeleteIcon from '@mui/icons-material/Delete';
import IconButton from '@mui/material/IconButton';
import KeyboardArrowUpIcon from '@mui/icons-material/KeyboardArrowUp';
import KeyboardDoubleArrowUpIcon from '@mui/icons-material/KeyboardDoubleArrowUp';
import KeyboardArrowDownIcon from '@mui/icons-material/KeyboardArrowDown';
import KeyboardDoubleArrowDownIcon from '@mui/icons-material/KeyboardDoubleArrowDown';
export const CellSidebarNew = (props) => {
    const { notebookId } = props;
    const [visible, setVisible] = useState(false);
    const dispatch = useDispatch();
    const activeCell = selectActiveCell(notebookId);
    const layout = (activeCell?.layout);
    if (layout) {
        const cellWidget = layout.widgets[0];
        if (!visible && (cellWidget?.node.id === props.cellId)) {
            setVisible(true);
        }
        if (visible && (cellWidget?.node.id !== props.cellId)) {
            setVisible(false);
        }
    }
    if (!visible) {
        return _jsx("div", {});
    }
    return (activeCell ?
        _jsxs(Box, { className: DLA_CELL_HEADER_CLASS, sx: {
                '& p': {
                    marginBottom: '0 !important',
                }
            }, children: [_jsx("span", { style: { display: "flex" }, children: _jsx(IconButton, { "aria-labelledby": "", size: "small", color: "secondary", "aria-label": "Run Cell", onClick: (e) => { e.preventDefault(); dispatch(notebookActions.run.started(notebookId)); }, style: { color: 'grey' }, children: _jsx(PlayArrowIcon, { fontSize: "inherit" }) }) }), _jsx("span", { style: { display: "flex" }, children: _jsx(IconButton, { "aria-labelledby": "", size: "small", color: "secondary", "aria-label": "Add Code Above", onClick: (e) => { e.preventDefault(); dispatch(notebookActions.insertAbove.started({ uid: notebookId, cellType: "code" })); }, style: { color: 'grey' }, children: _jsx(KeyboardArrowUpIcon, { fontSize: "inherit" }) }) }), _jsx("span", { style: { display: "flex" }, children: _jsx(IconButton, { "aria-labelledby": "", size: "small", color: "secondary", "aria-label": "Run Cell", onClick: (e) => { e.preventDefault(); dispatch(notebookActions.insertAbove.started({ uid: notebookId, cellType: "markdown" })); }, style: { color: 'grey' }, children: _jsx(KeyboardDoubleArrowUpIcon, { fontSize: "inherit" }) }) }), _jsx("span", { style: { display: "flex" } }), _jsx("span", { style: { display: "flex" }, children: _jsx(IconButton, { "aria-labelledby": "", size: "small", color: "secondary", "aria-label": "Run Cell", onClick: (e) => { e.preventDefault(); dispatch(notebookActions.insertBelow.started({ uid: notebookId, cellType: "markdown" })); }, style: { color: 'grey' }, children: _jsx(KeyboardDoubleArrowDownIcon, { fontSize: "inherit" }) }) }), _jsx("span", { style: { display: "flex" }, children: _jsx(IconButton, { "aria-labelledby": "", size: "small", color: "secondary", "aria-label": "Run Cell", onClick: (e) => { e.preventDefault(); dispatch(notebookActions.insertBelow.started({ uid: notebookId, cellType: "code" })); }, style: { color: 'grey' }, children: _jsx(KeyboardArrowDownIcon, { fontSize: "inherit" }) }) }), _jsx("span", { style: { display: "flex" }, children: _jsx(IconButton, { "aria-labelledby": "", size: "small", color: "error", "aria-label": "Delete", onClick: (e) => { e.preventDefault(); dispatch(notebookActions.delete.started(notebookId)); }, children: _jsx(DeleteIcon, { fontSize: "inherit", style: { color: '#ef9a9a' } }) }) })] })
        :
            _jsx(_Fragment, {}));
};
export default CellSidebarNew;
//# sourceMappingURL=CellSidebarNew.js.map